Index: Dialogs/Dialogs/GUIDialogWindow.cs
===================================================================
--- Dialogs/Dialogs/GUIDialogWindow.cs	(revision 27927)
+++ Dialogs/Dialogs/GUIDialogWindow.cs	(working copy)
@@ -304,5 +304,24 @@
     #endregion
 
     #endregion
+
+    #region public static methods
+    public static void CloseRoutedWindow()
+    {
+        if (GUIWindowManager.IsRouted)
+        {
+            GUIWindow win = GUIWindowManager.GetWindow(GUIWindowManager.RoutedWindow);
+            if (win != null)
+            {
+                if (win is GUIDialogFile)
+                    ((GUIDialogFile)win).Close();
+                else if (win is VirtualKeyboard)
+                    ((VirtualKeyboard)win).PageDestroy();
+                else
+                    ((GUIDialogWindow)win).PageDestroy();
+            }
+        }
+    }
+    #endregion
   }
 }
\ No newline at end of file
Index: WindowPlugins/GUIVideoFiles/GUIVideoFullscreen.cs
===================================================================
--- WindowPlugins/GUIVideoFiles/GUIVideoFullscreen.cs	(revision 27927)
+++ WindowPlugins/GUIVideoFiles/GUIVideoFullscreen.cs	(working copy)
@@ -101,6 +101,7 @@
     private DateTime _updateTimer = DateTime.Now;
     private DateTime _vmr7UpdateTimer = DateTime.Now;
     private bool _IsDialogVisible = false;
+    private bool _IsClosingDialog = false;
     private bool _needToClearScreen = false;
     private bool _isVolumeVisible = false;
     private bool _isForbiddenVisible = false;
@@ -2222,11 +2223,23 @@
     private void g_Player_PlayBackStopped(g_Player.MediaType type, int stoptime, string filename)
     {
       SettingsLoaded = false; // we should reload
+      if (!_IsClosingDialog)
+      {
+        _IsClosingDialog = true;
+        GUIDialogWindow.CloseRoutedWindow();
+        _IsClosingDialog = false;
+      }
     }
 
     private void g_Player_PlayBackEnded(g_Player.MediaType type, string filename)
     {
       SettingsLoaded = false; // we should reload
+      if (!_IsClosingDialog)
+      {
+        _IsClosingDialog = true;
+        GUIDialogWindow.CloseRoutedWindow();
+        _IsClosingDialog = false;
+      }
     }
 
     #endregion
